# $Revision: 1.13 $, $Date: 2005/07/25 21:18:15 $
# NOTE:
# - bundled sqlite has local modifications to support large db
# - bundled lua is stripped, it doesn't contain some features
#   that create security holes in monotone enviroment
Summary:	A free distributed version control system
Summary(pl):	Wolnodostpny rozproszony system kontroli wersji
Name:		monotone
Version:	0.21
Release:	3
License:	GPL v2
Group:		Development/Version Control
Source0:	http://www.venge.net/monotone/downloads/%{name}-%{version}.tar.gz
# Source0-md5:	c30c96b97ae56268cac567bd8837b991
URL:		http://www.venge.net/monotone/
BuildRequires:	boost-date_time-devel
BuildRequires:	boost-devel >= 1.32.0-3
BuildRequires:	boost-filesystem-devel
BuildRequires:	boost-mem_fn-devel
BuildRequires:	boost-regex-devel
BuildRequires:	boost-ref-devel
BuildRequires:	boost-test-devel
BuildRequires:	libidn-devel
BuildRequires:	popt-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
monotone is a free distributed version control system. It provides a
simple, single-file transactional version store, with fully
disconnected operation and an efficient peer-to-peer synchronization
protocol. It understands history-sensitive merging, lightweight
branches, integrated code review and 3rd party testing. It uses
cryptographic version naming and client-side RSA certificates. It has
good internationalization support, has no external dependencies, runs
on Linux, Solaris, MacOS X, and Windows, and is licensed under the GNU
GPL.

%description -l pl
monotone to wolnodostpny, rozproszony system kontroli wersji.
Dostarcza proste, jednoplikowe, transakcyjne przechowywanie wersji, z
w peni bezpoczeniow prac i wydajnym protokoem synchronizacji
peer-to-peer. Obsuguje czenie z uwzgldnieniem historii, lekkie
odgazienia, zintegrowany podgld kodu i testowanie przez osoby
trzecie. Uywa kryptograficznego nazywania wersji i certyfikatw RSA
po stronie klienta. Ma dobre umidzynarodowienie, nie ma zewntrznych
zalenoci, dziaa na Linuksie, Solarisie, MacOS-ie X oraz Windows i
jest licencjonowany na GNU GPL.

%prep
%setup -q

%build
CPPFLAGS="-I%{_includedir}/lua50"; export CPPFLAGS
%configure \
	--enable-ipv6
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post
[ ! -x /usr/sbin/fix-info-dir ] || /usr/sbin/fix-info-dir %{_infodir} >/dev/null 2>&1

%postun
[ ! -x /usr/sbin/fix-info-dir ] || /usr/sbin/fix-info-dir %{_infodir} >/dev/null 2>&1

%files
%defattr(644,root,root,755)
%doc AUTHORS NEWS ChangeLog
%attr(755,root,root) %{_bindir}/*
%{_infodir}/monotone*
%{_mandir}/man?/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: monotone.spec,v $
Revision 1.13  2005/07/25 21:18:15  arekm
- add BR boost-mem_fn-devel

Revision 1.12  2005/07/25 21:07:24  arekm
- rel 2

Revision 1.11  2005/07/25 21:06:14  arekm
- up to 0.21; use bundled libs (see reasons in spec file)

Revision 1.10  2005/07/14 05:22:06  jareq
- updated to 0.20

Revision 1.9  2005/05/04 21:01:48  arekm
- up to 0.19

Revision 1.8  2005/04/12 22:08:42  arekm
- rel2 (bump boost BR)

Revision 1.7  2005/04/12 16:22:02  arekm
- rel 1; correct BR for boost libs

Revision 1.6  2005/04/12 11:22:45  cieciwa
- version 0.18,
- release 0.1,
- updated MD5 sum.

Revision 1.5  2005/04/07 18:46:44  arekm
- up to 0.17

Revision 1.4  2004/06/19 18:04:13  qboosh
- pl

Revision 1.3  2004/06/10 19:04:07  arekm
- external lua/sqlite

Revision 1.2  2004/06/10 18:53:37  arekm
- builds

Revision 1.1  2004/06/10 17:31:18  arekm
- initial pld release (not finished)
